textures/w_reactor/yellowsky
// same as xtoxicsky_tourney, but faster and darker, no sun
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	qer_editorimage textures/w_reactor/yellowsky.tga

	q3map_surfacelight 200
        // q3map_sun	1 1 0.5 150	75 60
	skyparms - 512 -

	{
		map textures/skies/inteldimclouds.tga
		tcMod scroll 0.8 0.8
		tcMod scale 3 2
		depthWrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.4 0.4
		tcMod scale 3 3
	}
}

textures/w_reactor/reactorcore
// customized health floor (from q3dm10)
{
	qer_editorimage textures/sfx/healthfloor.tga

        {
		map textures/sfx/proto_zzztblu2.tga
                tcmod scroll 0 2
                tcMod turb 0 1 0 1.6
                tcmod scale 2 2
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
	        clampmap textures/gothic_block/blocks18cgeomtrn2.tga
                blendFunc blend
                tcmod rotate 280
                tcMod stretch sin .8 0.2 0 .2
	        rgbGen identity
	}
        {
	        clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		blendFunc blend
                tcmod rotate 120
                tcMod stretch sin .8 0.2 0 .1
	        rgbGen identity
	}
	{
	        clampmap textures/sfx/healthfloor.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/w_reactor/reactorcorefx
// customized health floor effect (from q3dm10)
{
	qer_editorimage textures/sfx/proto_zzztblu3.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/sfx/proto_zzztblu3.tga
		tcGen environment
                tcMod turb 0 1 0 0.5
                tcmod scroll 2 2
		blendfunc GL_ONE GL_ONE
	}
}

textures/w_reactor/lava_4000
{
	// customized lavahell_2000
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 4000
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 100 .1 0.1
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .5
	}
}