textures/w_city/space1
{
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm sky
    skyparms env/space1 - -
}


textures/w_cspace/baslt4_1_500
// Same as original, but with lower q3map_surfacelight
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/w_cspace/bluewall_glow
{
        qer_editorimage textures/w_city/bluewall.tga
	q3map_surfacelight 1000
	{
	        map textures/w_city/bluewall.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/w_cspace/redwall_glow
{
        qer_editorimage textures/w_city/redwall.tga
	q3map_surfacelight 1000
	{
	        map textures/w_city/redwall.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/w_cspace/ipren_flag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        qer_editorimage textures/w_city/ipren.tga
        {
		map textures/w_city/ipren.tga
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
	}
}

textures/w_cspace/poontos_flag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        qer_editorimage textures/w_city/poontos.tga
        {
		map textures/w_city/poontos.tga
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
	}
}

textures/w_cspace/ipren2_flag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        qer_editorimage textures/w_city/ipren2.tga
        {
		map textures/w_city/ipren2.tga
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
	}
}

textures/w_cspace/poontos2_flag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        qer_editorimage textures/w_city/poontos2.tga
        {
		map textures/w_city/poontos2.tga
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
	}
}

textures/w_cspace/jockum_flag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        cull none
        qer_editorimage textures/w_cspace/jockum.tga
        {
		map textures/w_cspace/jockum.tga
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
	}
}

textures/w_cspace/dutten_flag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        cull none
        qer_editorimage textures/w_cspace/dutten.tga
        {
		map textures/w_cspace/dutten.tga
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
	}
}

textures/w_cspace/shinymetal
{

	{
		map textures/base_wall/chrome_env.tga
                tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	}

		
	{
		map textures/w_cspace/shinymetal.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
		
} 
